Skip to main content
`Ctrl`+`K`

# MatSolveTransposeAdd

Computes \(x = y + A^{-T} b\) factored matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolveTransposeAdd(Mat mat, Vec b, Vec y, Vec x)

Neighbor-wise Collective

## Input Parameters

- mat - the factored matrix

- b - the right-hand-side vector

- y - the vector to be added to

## Output Parameter

- x - the result vector

## Note

The vectors `b` and `x` cannot be the same. I.e., one cannot call `MatSolveTransposeAdd`(A,x,y,x).

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatSolve()`, `MatSolveAdd()`, `MatSolveTranspose()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatSolveTransposeAdd_SeqAIJ() in src/mat/impls/aij/seq/aijfact.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages